openapi: 3.0.3
info: { title: TIIX Perms API — Perms.Namespaces, version: v1.0.0 }
servers: [ { url: /adm/api } ]
paths:
  /Perms.Namespaces/list:
    post:
      summary: Lista namespaces
      responses:
        "200":
          description: OK
          content: { application/json: { schema: { $ref: '#/components/schemas/DefaultResponse' } } }
  /Perms.Namespaces/create:
    post:
      summary: Cria namespace
      responses:
        "200":
          description: OK
          content: { application/json: { schema: { $ref: '#/components/schemas/DefaultResponse' } } }
  /Perms.Namespaces/update:
    post:
      summary: Atualiza namespace
      responses:
        "200":
          description: OK
          content: { application/json: { schema: { $ref: '#/components/schemas/DefaultResponse' } } }
  /Perms.Namespaces/delete:
    post:
      summary: Remove namespace
      responses:
        "200":
          description: OK
          content: { application/json: { schema: { $ref: '#/components/schemas/DefaultResponse' } } }
components:
  schemas:
    DefaultResponse:
      type: object
      properties: { erro: {type: integer}, msg: {type: string}, data: {type: object}, id: {type: integer} }
